#include "testApp.h"
#include "stdio.h"

//--------------------------------------------------------------
testApp::testApp(){
	
}

//--------------------------------------------------------------
void testApp::setup(){	 
	ofBackground(255,255,255);	
	
	frame = 0;
	
	verdana.loadFont("verdana.ttf",10);
	
	IO = new dataIO();
	IO->load_data("wgt_data_v1.txt");
  	
	printf("There are %d frames total\n", IO->frame);

	
}

//--------------------------------------------------------------
void testApp::update(){

	frame = int(29.97 * ofGetElapsedTimef());

}

//--------------------------------------------------------------
void testApp::draw(){
	ofSetColor(0xFFFFFF);

	//draw 640 x 480 frame
	ofSetColor(0x000000);	
	ofNoFill();
	ofRect(0,0,640, 480);

	//draw text
	ofSetColor(0x000000);
	char tempString[255];
	sprintf(tempString,"Frames / sec - %f", ofGetFrameRate());
	verdana.drawString(tempString, 650, 500);
	
	//draw yellow box
	ofSetColor(0xfdff00);	
	ofNoFill();
	//it it's not 0 then draw it
	if(IO->x_pts[frame]!=0 && IO->y_pts[frame]!=0){
		ofRect(float(IO->x_pts[frame]),IO->y_pts[frame],IO->w_pts[frame], IO->h_pts[frame]);
		ofRect(float(IO->x_pts[frame]-1),IO->y_pts[frame]-1,IO->w_pts[frame]+2, IO->h_pts[frame]+2);
		ofRect(float(IO->x_pts[frame]-2),IO->y_pts[frame]-2,IO->w_pts[frame]+4, IO->h_pts[frame]+4);

	}
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
